Files
anubis-mirror/test/docker-registry/test.sh
Xe Iaso 278d7956c6 test: use right github commit variable
Signed-off-by: Xe Iaso <me@xeiaso.net>
2025-11-07 19:04:33 -05:00

30 lines
444 B
Bash
Executable File

#!/usr/bin/env bash
set -eo pipefail
export VERSION=${GITHUB_SHA}-test
export KO_DOCKER_REPO=ko.local
set -u
source ../lib/lib.sh
build_anubis_ko
function cleanup() {
docker compose down
}
trap cleanup EXIT SIGINT
mint_cert registry.local.cetacean.club
docker compose up -d
backoff-retry skopeo \
--insecure-policy \
copy \
--dest-tls-verify=false \
docker://hello-world \
docker://registry.local.cetacean.club:3004/hello-world